#############################################################
#
# apache http server
#
#############################################################
APACHE_HTTPD_VERSION:=2.2.6
APACHE_HTTPD_SITE:=http://www.apache.org/dist/httpd/
APACHE_HTTPD_DIR:=$(BUILD_DIR)/httpd-$(APACHE_HTTPD_VERSION)
APACHE_HTTPD_SOURCE:=httpd-$(APACHE_HTTPD_VERSION).tar.gz 


$(DL_DIR)/$(APACHE_HTTPD_SOURCE):
	$(WGET) -P $(DL_DIR) $(APACHE_HTTPD_SITE)/$(APACHE_HTTPD_SOURCE)

$(APACHE_HTTPD_DIR)/.unpacked: $(DL_DIR)/$(APACHE_HTTPD_SOURCE)
	zcat $(DL_DIR)/$(APACHE_HTTPD_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	toolchain/patch-kernel.sh $(APACHE_HTTPD_DIR) package/apache-httpd/ httpd\*.patch
	touch $(APACHE_HTTPD_DIR)/.unpacked

$(APACHE_HTTPD_DIR)/.configured: $(APACHE_HTTPD_DIR)/.unpacked
	(cd $(APACHE_HTTPD_DIR); \
		cd srclib/apr;      rm -Rf configure config.cache autom4te.cache/*; autoconf; cd ../..; \
		cd srclib/apr-util; rm -Rf configure config.cache autom4te.cache/*; autoconf; cd ../..; \
		cd srclib/pcre;     rm -Rf configure config.cache autom4te.cache/*; autoconf; cd ../..; \
		rm -rf config.cache configure autom4te.cache/* ; \
		autoconf; \
		$(TARGET_CONFIGURE_OPTS) \
		LD=$(TARGET_CROSS)gcc \
		CFLAGS="$(TARGET_CFLAGS)" \
		LDFLAGS="-lpthread" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libexecdir=/usr/sbin \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--mandir=/usr/man \
		--infodir=/usr/info \
		--includedir=$(STAGING_DIR)/include \
		--enable-dbd=no \
	);
	touch $(APACHE_HTTPD_DIR)/.configured

$(APACHE_HTTPD_DIR)/httpd: $(APACHE_HTTPD_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(APACHE_HTTPD_DIR)
	-$(STRIP) $(APACHE_HTTPD_DIR)/httpd

$(TARGET_DIR)/usr/sbin/httpd: $(APACHE_HTTPD_DIR)/httpd
	$(MAKE) CC=$(TARGET_CC) DESTDIR=$(TARGET_DIR) -C $(APACHE_HTTPD_DIR) install
	mkdir -p $(TARGET_DIR)/etc/init.d/
	cp -f package/apache-httpd/apache-S50httpd $(TARGET_DIR)/etc/init.d/S50httpd
	chmod a+x $(TARGET_DIR)/etc/init.d/S50httpd
	cp -f $(APACHE_HTTPD_DIR)/docs/conf/httpd.conf $(TARGET_DIR)/etc/


apache-httpd: $(APACHE_HTTPD_DIR)/httpd $(TARGET_DIR)/usr/sbin/httpd

apache-httpd-source: $(DL_DIR)/$(APACHE_HTTPD_SOURCE)

apache-httpd-clean: 
	$(MAKE) -C $(APACHE_HTTPD_DIR) clean

apache-httpd-dirclean: 
	rm -rf $(APACHE_HTTPD_DIR)
#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_APACHE_HTTPD)),y)
TARGETS+=apache-httpd
endif
